<?xml version='1.0' encoding="windows-1252"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="UTF-8"/>
    <xsl:template match="/">
        <html>

            <head>
                <meta name="viewport" content="width=device-width, initial-scale=1.0" />

                <title><xsl:value-of select="paygate/language/title"/></title>
                <link rel="shortcut icon" type="image/x-icon" href="Templates/imagesMerchantID_PaymentPage/images/favicon.png" />

                <!-- CSS -->
                <link rel="stylesheet" type="text/css" href="Templates/imagesMerchantID_PaymentPage/css/bootstrap.css" />
                <link rel="stylesheet" type="text/css" href="Templates/imagesMerchantID_PaymentPage/css/main.css" />

                <!-- JavaScript/jQuery -->
                <script type="text/javascript" src="Templates/imagesMerchantID_PaymentPage/js/jquery.min.js"></script>
                <script type="text/javascript" src="Templates/imagesMerchantID_PaymentPage/js/bootstrap.min.js"></script>
                <script type="text/javascript" src="Templates/imagesMerchantID_PaymentPage/js/main.js"></script>
                
            </head>

            <body>
				
				<form id="hppForm" method="POST" autocomplete="off">

					<!-- HIDDEN FIELDS -->
					<input type="hidden" name="MerchantID"><xsl:attribute name="value"><xsl:value-of select="paygate/merchantID"/></xsl:attribute></input>
					<input type="hidden" name="Len"><xsl:attribute name="value"><xsl:value-of select='paygate/len'/></xsl:attribute></input>
					<input type="hidden" name="Data"><xsl:attribute name="value"><xsl:value-of select='paygate/data'/></xsl:attribute></input>
					<input type="hidden" name="Template"><xsl:attribute name="value"><xsl:value-of select="paygate/template"/></xsl:attribute></input>
					<input type="hidden" name="CCTemplate"><xsl:attribute name="value"><xsl:value-of select="paygate/ccTemplate"/></xsl:attribute></input>
                    <input type="hidden" name="SDDTemplate"><xsl:attribute name="value"><xsl:value-of select="paygate/sddTemplate"/></xsl:attribute></input>
                    <input type="hidden" name="AccOwner"><xsl:attribute name="value"><xsl:value-of select="paygate/accOwner"/></xsl:attribute></input>
                    <input type="hidden" name="AccBank"><xsl:attribute name="value"><xsl:value-of select="paygate/accBank"/></xsl:attribute></input>
                    <input type="hidden" name="IBAN"><xsl:attribute name="value"><xsl:value-of select="paygate/iban"/></xsl:attribute></input>
                    <input type="hidden" name="BIC"><xsl:attribute name="value"><xsl:value-of select="paygate/bic"/></xsl:attribute></input>
                    <input type="hidden" name="URLBack"><xsl:attribute name="value"><xsl:value-of select="paygate/urlBack"/></xsl:attribute></input>
                    <input type="hidden" name="Language"><xsl:attribute name="value"><xsl:value-of select='paygate/language/@name'/></xsl:attribute></input>
                    <input type="hidden" name="HttpMethod"><xsl:attribute name="value"><xsl:value-of select='paygate/httpMethod'/></xsl:attribute></input>
                    <input type="hidden" name="customfield1"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield1'/></xsl:attribute></input>
                    <input type="hidden" name="customfield2"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield2'/></xsl:attribute></input>
                    <input type="hidden" name="customfield3"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield3'/></xsl:attribute></input>
                    <input type="hidden" name="customfield4"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield4'/></xsl:attribute></input>
                    <input type="hidden" name="customfield5"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield5'/></xsl:attribute></input>
                    <input type="hidden" name="customfield6"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield6'/></xsl:attribute></input>
                    <input type="hidden" name="customfield7"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield7'/></xsl:attribute></input>
                    <input type="hidden" name="customfield8"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield8'/></xsl:attribute></input>
                    <input type="hidden" name="customfield9"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield9'/></xsl:attribute></input>
                    <input type="hidden" name="customfield10"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield10'/></xsl:attribute></input>
                    <input type="hidden" name="customfield11"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield11'/></xsl:attribute></input>
                    <input type="hidden" name="customfield12"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield12'/></xsl:attribute></input>
                    <input type="hidden" name="customfield13"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield13'/></xsl:attribute></input>
                    <input type="hidden" name="customfield14"><xsl:attribute name="value"><xsl:value-of select='paygate/customfield14'/></xsl:attribute></input>
					<input type="hidden" name="PaymentMethod" value=""/>
					<input type="hidden" name="CreditCardBrand" value=""/>

					<!-- APPLE PAY -->
                    <xsl:if test="paygate/useApplePay = 'true'">
                        <!-- Hidden fields -->
                        <input type="hidden" name="ApplePayMerchantName"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayMerchantName"/></xsl:attribute></input>
                        <input type="hidden" name="ApplePayAmount"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayAmount"/></xsl:attribute></input>
		                <input type="hidden" name="ApplePayCurrency"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayCurrency"/></xsl:attribute></input>
		                <input type="hidden" name="ApplePayCountryCode"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayCountryCode"/></xsl:attribute></input>
		                <input type="hidden" name="ApplePayBrands"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayBrands"/></xsl:attribute></input>
		                <input type="hidden" name="ApplePayPostURL"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayPostURL"/></xsl:attribute></input>
		                <input type="hidden" name="ApplePayValidationURL"/>
		                <input type="hidden" name="ApplePayPayID"/>
		                <input type="hidden" name="ApplePayPaymentToken"/>
                                
                        <!-- JavaScript -->
                        <script type="text/javascript" src="js/applepay.js"></script>
                    </xsl:if>
                    
                    <!-- GOOGLE PAY -->
                    <xsl:if test="paygate/useGooglePay = 'true'">
                        <input type="hidden" name="GooglePayButtonType" value="plain"></input>
                        <input type="hidden" name="GooglePayTestAccount"><xsl:attribute name="value"><xsl:value-of select='paygate/testGooglePay'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayGatewayMerchantId"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayGatewayMerchantId'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayMerchantName"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayMerchantName'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayMerchantOrigin"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayMerchantOrigin'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayAllowedCardNetworks"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayAllowedCardNetworks'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayAllowedCardAuthMethods"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayAllowedCardAuthMethods'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayCountryCode"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayCountryCode'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayTotalPrice"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayTotalPrice'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayCurrencyCode"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayCurrencyCode'/></xsl:attribute></input>
                        <input type="hidden" name="GooglePayPostURL"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayPostURL'/></xsl:attribute></input>

                        <!-- Only needed on HPP to avoid JavaScript error, because of not existing element with this specific ID -->
                        <div style="display:none" id="googlePayButton"></div>

                        <!-- JavaScript -->
                        <script async="" src="https://pay.google.com/gp/p/js/pay.js" onload="onGooglePayLoaded()"></script>
                        <script type="text/javascript" src="js/googlepay.js"></script>
                    </xsl:if>

					<!-- HEADER -->
					<div class="jumbotron">
						<div class="container">
							<h1>
								<a href="https://us.computop.com/" target="_blank">
									<img src="Templates/imagesMerchantID_PaymentPage/images/header_logo.png" />
								</a>
							</h1>      
						</div>
					</div>
                
					<!-- BEGIN CONTAINER -->
					<div class="container">    

						<!-- DIVIDER -->
						<div class="row">
							<div class="col-sm-12 text-primary"> 
								<hr class="hr-top"/>
							</div>
						</div>
							
						<!-- *********************************** -->
						<!-- START PAYMENT METHODS (TEST-SYSTEM) -->
						<!-- *********************************** -->
						<div class="row">
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="CC_VISADiv">
									<label>
										<input name="paymentMethodRadio" value="" id="CC_VISA" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>Visa</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/brands/VISA.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="CC_VISACollapse">
									<div class="well">Du wirst zum Kreditkartenformular weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="CC_MasterCardDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="CC_MasterCard" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>MasterCard</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/brands/MasterCard.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="CC_MasterCardCollapse">
									<div class="well">Du wirst zum Kreditkartenformular weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="CC_AMEXDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="CC_AMEX" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>American Express</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/brands/AMEX.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="CC_AMEXCollapse">
									<div class="well">Du wirst zum Kreditkartenformular weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="CC_DINERSDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="CC_DINERS" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>Diners Club International</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/brands/DINERS.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="CC_DINERSCollapse">
									<div class="well">Du wirst zum Kreditkartenformular weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="CC_DiscoverDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="CC_Discover" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>Discover</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/brands/Discover.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="CC_DiscoverCollapse">
									<div class="well">Du wirst zum Kreditkartenformular weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="CC_JCBDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="CC_JCB" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>JCB</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/brands/JCB.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="CC_JCBCollapse">
									<div class="well">Du wirst zum Kreditkartenformular weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="EDDDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="EDD" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>Lastschrift</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/EDD.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="EDDCollapse">
									<div class="well">Du wirst zum Lastschriftenformular weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="PayPalDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="PayPal" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>PayPal</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/PayPal.png" />
										</span>
									</label>
								</div>
								<div class="collapse" id="PayPalCollapse">
									<div class="well">Du wirst zur PayPal Webseite weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="iDEALDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="iDEAL" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>iDEAL</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/iDEAL.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="iDEALCollapse">
									<div class="well">Du wirst zur iDEAL Webseite weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="SofortDiv">
									<label>
										<input name="paymentMethodRadio" value="" id="Sofort" type="radio" />
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>Sofort</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/Sofort.png" />
										</span>
									</label>									
								</div>
								<div class="collapse" id="SofortCollapse">
									<div class="well">Du wirst zur Sofortüberweisung Webseite weitergeleitet, wenn Du die Bestellung abschließt.</div>
								</div>
							</div>
							<div class="col-sm-12 col-md-4">
								<div class="radio" id="GooglePayDiv">
									<label>
										<input type="radio" name="paymentMethodRadio" value="" id="GooglePay"/>
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"></i>
										</span>
										<span>Google Pay</span>
										<span>
											<img src="Templates/imagesMerchantID_PaymentPage/images/GooglePay.png" />
										</span>
									</label>
								</div>
								<div class="collapse" id="GooglePayCollapse">
									<div class="well">If you complete the order, Google Pay payment sheet will be displayed.</div>
								</div>
							</div>
						</div>
						<!-- ********************************* -->
						<!-- END PAYMENT METHODS (TEST-SYSTEM) -->
						<!-- ********************************* -->
						
						<!-- ***************************** -->
						<!-- PAYMENT METHODS (LIVE-SYSTEM) -->
						<!-- ***************************** -->
						<!--
						<xsl:for-each select="paygate/paymentMethods/*">

                            <xsl:variable name="paymethodLowerCase">
                                <xsl:value-of select="@lowercase"/>
                            </xsl:variable>
								
							<xsl:if test="position() = 1" >
								<xsl:text disable-output-escaping="yes"><![CDATA[<div class="row paymethods">]]></xsl:text>
							</xsl:if>
							
							<div class="col-sm-12 col-md-4">
								<xsl:if test="$paymethodLowerCase = 'applepay'" >
									<xsl:attribute name="style">display:none</xsl:attribute>
								</xsl:if>
								<div class="radio">
									<xsl:attribute name="id">
										<xsl:choose>
											<xsl:when test="@type = 'CC'">
												<xsl:value-of select="concat(concat('CC_', local-name()), 'Div')"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="concat(local-name(), 'Div')"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:attribute>
									<label>
										<input type="radio" name="paymentMethodRadio" value="">
											<xsl:attribute name="id">
												<xsl:choose>
													<xsl:when test="@type = 'CC'">
														<xsl:value-of select="concat('CC_', local-name())"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="local-name()"/>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:attribute>
										</input>
										<span class="cr">
											<i class="cr-icon glyphicon glyphicon-ok"/>
										</span>
										<span>
											<xsl:choose>
												<xsl:when test="@type = 'CC'">
													<xsl:value-of select="@displayName"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="../../language/*[name()=$paymethodLowerCase]"/>
												</xsl:otherwise>
											</xsl:choose>
										</span>
										<span>
											<img>
												<xsl:attribute name="src">
													<xsl:choose>
														<xsl:when test="@type = 'CC'">
															<xsl:choose>
																<xsl:when test="@ddd = '1'">
																	<xsl:value-of select="concat(concat('Templates/imagesct_PaymentPage/images/brands/', local-name()), '_ddd.png')"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of select="concat(concat('Templates/imagesct_PaymentPage/images/brands/', local-name()), '.png')"/>
																</xsl:otherwise>
															</xsl:choose>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="concat(concat('Templates/imagesct_PaymentPage/images/', local-name()), '.png')"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:attribute>
											</img>
										</span>
									</label>
								</div>
								<div class="collapse">
									<xsl:attribute name="id">
										<xsl:choose>
											<xsl:when test="@type = 'CC'">
												<xsl:value-of select="concat(concat('CC_', local-name()), 'Collapse')"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="concat(local-name(), 'Collapse')"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:attribute>
									<div class="well">
										<xsl:choose>
											<xsl:when test="@type = 'CC'">
												<xsl:value-of select="../../language/ccText"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="../../language/*[name()=concat($paymethodLowerCase, 'Text')]"/>
											</xsl:otherwise>
										</xsl:choose>
									</div>
								</div>
							</div>
							<xsl:choose>
								<xsl:when test="position() != last()" >
									<xsl:if test="(position() mod 3) = 0">
										<xsl:text disable-output-escaping="yes"><![CDATA[</div>]]></xsl:text>
										<xsl:text disable-output-escaping="yes"><![CDATA[<div class="row paymethods">]]></xsl:text>
									</xsl:if>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text disable-output-escaping="yes"><![CDATA[</div>]]></xsl:text>
								</xsl:otherwise>
							</xsl:choose>
                        </xsl:for-each>
						-->
							  
						<!-- MESSAGES -->
						<div class="alert alert-danger" role="alert"><xsl:value-of select="paygate/language/errorMessages/error1"/></div>
							  
						<hr class="hr-bottom"/>
							
						<!-- BUTTONS -->					
						<div class="row">
							<div class="col-sm-4"> 
								<xsl:if test="paygate/urlBack[. != '']">
									<button class="btn btn-default btn-lg btn-block" id="back" type="button">
										<xsl:attribute name="onClick">
											javascript:window.location='<xsl:value-of select="paygate/urlBack" disable-output-escaping="yes"/>'
										</xsl:attribute>
									<xsl:value-of select="paygate/language/back"/>
									</button>
								</xsl:if>
							</div>
							<div class="col-sm-4 col-sm-offset-4"> 
								<button class="btn btn-primary btn-lg btn-block" id="continue" type="submit"><xsl:value-of select="paygate/language/continue"/></button>
							</div>
						</div>
				  
					</div>
					<!-- END CONTAINER -->
					
					<!-- FOOTER -->
					<footer>
						<div class="footer-wrapper">
							<div class="footer-container">
								<div><xsl:value-of select="paygate/language/companyName"/></div>
								<div>
									<a href="https://www.computop.com/us/" target="_blank"><xsl:value-of select="paygate/language/website"/></a> | <a href="https://us.computop.com/data-privacy/" target="_blank"><xsl:value-of select="paygate/language/privacyProtection"/></a> | <a href="https://us.computop.com/imprint/" target="_blank"><xsl:value-of select="paygate/language/imprint"/></a>
								</div>
							</div>
						</div>
					</footer>
					
				</form>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>