$(document).ready(function () {

    if (window.ApplePaySession && ApplePaySession.canMakePayments()) {
        // Show Apple Pay Div in safari browser
        $('#ApplePayDiv').parent().css("display", "block");
    } else {
        // Check if there is a div with the class="row", which contains less than three divs with the class="col-md-4"
        var payMethodRows = $('div.row.paymethods:not(:last)');

        var applePayDiv = $('div#ApplePayDiv').parent();

        if ($(applePayDiv).length > 0) {
            $(applePayDiv).replaceWith($('div.row.paymethods:last > div.col-md-4:last'));
        }
    }

    // IE problem! Implements the startsWith() method, because it's not compatible with the Internet Explorer
    if (!String.prototype.startsWith) {
        String.prototype.startsWith = function (searchString, position) {
            position = position || 0;
            return this.indexOf(searchString, position) === position;
        };
    }

    // IE problem! Simulates the radio button click when clicking the brand oder paymethod logo
    $('div.radio img').click(function () {
        $(this).parent().parent().find('input[type="radio"]').click();
    });

	// Hides all collapse divs but not the clicked
	$('div[id$="Collapse"]').on('shown.bs.collapse', function () {
        var collapseID = $(this).attr('id');
        $('div[id$="Collapse"]:not(div#' + collapseID + ')').collapse('hide');
	});

	// Colors the div blue on mouse over
	$('div.radio').hover(function () {
		$(this).addClass('color-blue');
	});
	
	// Removes the color blue on mouse leave
	$('div.radio').mouseleave(function () {
		$(this).removeClass('color-blue');
	});

	$('div.radio').click(function () {
	
		var divID = $(this).attr('id');
		var paymentMethodID = divID.replace("Div", "");
		
		$('div[id^="' + paymentMethodID + 'Collapse"]').collapse('show');
	
		$('div.radio').removeClass('selected');
		$(this).addClass('selected');
		
		$('div.alert-danger').hide();
		$('span.cr').removeClass('color-red');

		if (paymentMethodID.startsWith('CC_')) {
		    var brandID = paymentMethodID.replace("CC_", "");

            // Cartes Bancaires
		    if (brandID == 'CartesBancaires')
		        brandID = 'Cartes Bancaires';

			$('input[type="hidden"][name="CreditCardBrand"]').val(brandID);
		}
	});

	$("form").submit(function(){
	    // At least one of the radio buttons was checked
	    if ($('input[name="paymentMethodRadio"]:checked').length) {

		    var paymentMethod = $('input[name="paymentMethodRadio"]:checked').attr('id');
		
		    if (paymentMethod.startsWith('CC_')) {
		        var paymentMethod = "CC";
		    }

		    $('input[type="hidden"][name="PaymentMethod"]').val(paymentMethod);

		    return true;
	    }
	    // No radio button was checked
	    else {
		    // Shows the error message
		    $('div.alert-danger').show();
		
		    // Marks the radio buttons red
		    $('span.cr').addClass('color-red');
		
		    return false;
	    }
	});

	$('button#continue').click(function (event) {

	    // At least one of the radio buttons was checked
		if ($('input[name="paymentMethodRadio"]:checked').length) {

			var paymentMethod = $('input[name="paymentMethodRadio"]:checked').attr('id');

			if (paymentMethod == "ApplePay") {
				// Special process for payment method Apple Pay
				beginApplePay();
			} else if (paymentMethod == "GooglePay") {

				// Prevent default submit of form
				event.preventDefault();

				// Special process for payment method Google Pay
				onGooglePaymentButtonClicked();
			} else if (paymentMethod == "ClickToPay") {

					// Prevent default submit of form
					event.preventDefault();

					// Special process for payment method Click to Pay
					callIsRecognized();
	        } else {
				// Default process for all other payment methods
	            $("#hppForm").trigger('submit');
	        }
	    }
	});
});